Package ru.bitel.oss.systems.inventory.product.server.bean

# Class ProductSpecDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<ProductSpec>
ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<ProductSpec>`

    public class ProductSpecDao
    extends AbstractEntityDao<ProductSpec>
    implements Directory<ProductSpec>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `insertEntityPS, updateEntityPS, updateEntityPS2`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductSpecDao​(java.sql.Connection con)` |
  `ProductSpecDao​(java.sql.Connection con, int moduleId)` |
  `ProductSpecDao​(java.sql.Connection con, int moduleId, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `delete​(int id)` | Удаление элемента по id
  `ProductSpec` | `get​(java.lang.String title)` | Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `ProductSpec` | `getByIdentifier​(java.lang.String identifier)` |
  `protected ProductSpec` | `getFromRSImpl​(java.sql.ResultSet rs)` |
  `protected java.lang.String` | `getQueryById()` |
  `java.util.List<ProductSpec>` | `list()` | Получение всего списка элементов из справочника
  `java.util.List<ProductSpec>` | `list​(int moduleId)` |
  `java.util.List<ProductSpec>` | `list​(int moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.util.List<FilterEntityAttr> entityFilter)` |
  `void` | `move​(int newParentId, java.util.Set<java.lang.Integer> children)` |
  `protected void` | `updateImpl​(ProductSpec productSpec)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `getFromRS, getFromRS, linkEntity, list, list, listImpl, recycle, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get, update`

- ## Constructor Details

  - ### ProductSpecDao

    public ProductSpecDao​(java.sql.Connection con, int moduleId)

  - ### ProductSpecDao

    public ProductSpecDao​(java.sql.Connection con)

  - ### ProductSpecDao

    public ProductSpecDao​(java.sql.Connection con, int moduleId, int userId)

- ## Method Details

  - ### getFromRSImpl

    protected ProductSpec getFromRSImpl​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<ProductSpec>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ProductSpec productSpec) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ProductSpec>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getQueryById

    protected java.lang.String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<ProductSpec>`

  - ### get

    public ProductSpec get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<ProductSpec>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ProductSpec> list​(int moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.util.List<FilterEntityAttr> entityFilter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ProductSpec> list​(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ProductSpec> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<ProductSpec>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move​(int newParentId, java.util.Set<java.lang.Integer> children) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByIdentifier

    public ProductSpec getByIdentifier​(java.lang.String identifier) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<ProductSpec>`
    Overrides:
      `delete` in class `AbstractEntityDao<ProductSpec>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`